// Clarence Pearson
// LeadPipe OpenGL Engine

// CFont Class
// Builds font and displays text
// fonts are stored as BMP for now

#ifndef __CFONT_H_
#define __CFONT_H_

#include "ctexture.h"

// font set definitions
#define NORM 0
#define ITAL 1

// CFont Class

class CFont {
	public:
		// constructor
		CFont();
		// destructor
		~CFont();
		// load font
		int Load(char *fn);
		// print string
		void Print(int, const char *, ...);
		// set position
		void SetPos(float, float);
	protected:
		// build font
		void Build();
		// font texture
		CTexture *font;
		// font list
		int fontlist;
		//current position
		float x, y;

};

#endif
