// Clarence Pearson
// LeadPipe OpenGL Engine

// CRAW class
// loads RAW file and display

#ifndef __CRAW_H_
#define __CRAW_H_

#include "cvector.h"

class CRAW {
	public:
		// constructor
		CRAW(char *fn) { Load(fn); }
		CRAW() {}
		// destructor
		~CRAW() { delete vertex; }
		// load RAW file
		void Load(char *);
		// draw model
		void Draw();
		// number of vertices
		int num_vertices;
		// vector array of vertexes
		CVector3 *vertex;
};

#endif
