// AirPONG
// SDL air hockey/pong game
// Clarence Pearson

// CParticle Class Header
// added version 0.3.0

#ifndef __PARTICLE_H_
#define __PARTICLE_H_

#include "objects.h"

// create particle class

class CParticle : public CGameOBJ {
	public:
		// constructor
		CParticle() {}
		// destructor
		~CParticle() {}
		// init function...color
		void init(float,float,float);
		// updates particle
		// takes a game object and delta time
		void update(CGameOBJ *, float);
		// draw
		void draw();
	private:
		// life, fade, and active
		int active;
		float life;
		float fade;
		// color
		float r, g, b;
};

#endif
