// Clarence Pearson
// LeadPipe OpenGL Engine

// CCamera Class
// basic camera class...nothing fancy or special

#ifndef __CCAMERA_H_
#define __CCAMERA_H_

#include "cvector.h"

// CCamera Class
class CCamera {
	public:
		// constructor
		CCamera();
		// destructor
		~CCamera() {}
		// position camera
		void Position(float, float, float, float, float, float, float, float, float);
		// move camera based on speed and delta time
		void Move(float, float);
		// rotate camera
		void Rotate(float, float, float, float);
		// strafe camera based on speed and delta time
		void Strafe(float, float);
		// use mouse to set view, mouse/screen coordinates passed to it
		void MouseLook(float, float, float, float);
		// look at camera position
		void Look();
		// camera's vectors
		// position vector
		CVector3 v_pos;
		// view vector
		CVector3 v_view;
		// up vector
		CVector3 v_up;
};

#endif
