// Clarence Pearson
// LeadPipe OpenGL Engine

// CObject Class
// Base class all in-game objects are derived from
// hold vectors and basic functions all objects need

#ifndef __COBJECT_H_
#define __COBJECT_H_

#include "cvector.h"

class CObject {
	public:
		// default constructor and destructor
		CObject() {}
		~CObject() {}
		// update object based on delta time
		virtual void Update(float delta_time) {}
		// draw object
		virtual void Draw() {}
		// position, velocity, and acceleration vectors
		CVector3 v_pos;
		CVector3 v_accel;
		CVector3 v_vel;
};

#endif
