// Clarence Pearson
// LeadPipe OpenGL Engine

// CTimer Class
// gets fps
// delta_time used for all movements in engine

#ifndef __CTIMER_H_
#define __CTIMER_H_

class CTimer {
	public:
		// constructor
		CTimer();
		// destructor
		~CTimer() {};
		// return fps
		int GetFPS() { return fps; }
		// return delta time
		float GetDeltaTime() { return dt; }
		// update time
		void Update();
		// limit fps
		void Limit(float);
	private:
		// delta time
		float dt;
		// starting time
		int time_start;
		// last frame time
		float time_last;
		// current time
		int time;
		// fps
		int fps;
		// frames counter
		int frames;
};

#endif
