// Clarence Pearson
// LeadPipe OpenGL Engine

// Various Math functions

#ifndef __LPMATH_H_
#define __LPMATH_H_

#include "cvector.h"

// return the normal of a polygon
CVector3 PolyNormal(CVector3 vPoly[]);

// return the distance a plane is from the origin
// takes normal to plane and any point in plane
float PlaneDistance(CVector3, CVector3);

// return true if line and plane intersect
// takes plane and line
bool IntersectedPlane(CVector3 vPlane[], CVector3 vLine[]);

#endif
